For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get All API Versions

Retrieves all available versions of the responding API.

get
Authorizations
AuthorizationstringRequired

For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).

Example Request Header

Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl

More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Responses
200

Successful operation.

application/json
namestringOptionalExample: v2.1
swaggerUrlstringOptionalExample: https://api.ionos.com/databases/mongodb/infos/assets/swagger-v2.1.yml
get/infos/versions
GET /databases/mongodb/infos/versions HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
[
  {
    "name": "v2.1",
    "swaggerUrl": "https://api.ionos.com/databases/mongodb/infos/assets/swagger-v2.1.yml"
  }
]

Last updated

Was this helpful?